﻿#mainHeader {
    display: grid;
    grid-template-areas: "left center right";
    grid-template-columns: 1fr auto auto;
    height: 80px;
    background-color: #eaeae7;
    max-width: 1800px;
    margin: 0 auto;
}

@media only screen and (min-width: 1200px) {
    #mainHeader {
        height: 120px;
        grid-template-columns: 1fr 200px 1fr;
    }
}

    #mainHeader .column {
        display: flex;
        align-items: center;
    }

@media only screen and (min-width: 1200px) {
    #mainHeader .column {
        gap: 40px;
        padding: 0 40px;
    }
}

   
    #mainHeader #logoWrapper {
        grid-area: left;
        justify-content: flex-start;
        position: relative;
    }

@media only screen and (min-width: 1200px) {
    #mainHeader #logoWrapper {
        grid-area: center;
    }
}

#mainHeader #wholeUtilsWrapper {
    grid-area: center;
}

@media only screen and (min-width: 1200px) {
    #mainHeader #wholeUtilsWrapper {
        grid-area: right;
        justify-content: flex-end;
    }
}

#mainHeader #mainMenuWrapper {
    grid-area: right;
    padding: 0 10px;
    gap: 10px;
}

@media only screen and (min-width: 1200px) {
    #mainHeader #mainMenuWrapper {
        grid-area: left;
        justify-content: flex-start;
    }
}

@media only screen and (min-width: 36em) {
    #mainHeader #mainMenuWrapper {
        padding-right: 40px;
    }
}

@media only screen and (min-width: 26em) {
    #mainHeader #mainMenuWrapper {
        padding: 0 20px;
        gap: 20px;
    }
}

@media only screen and (min-width: 22em) {
    #mainHeader #mainMenuWrapper {
        padding-right: 20px;
    }
}


    #mainHeader h2 {
        color: #006600;
        font-size: 250%;
    }

#title {
    position: relative;
    display: block;
    height: 36%;
    z-index: 3;
    text-decoration: none;
    margin: 0;
}

#title {
    height: 56px;
    position: absolute;
    top: 12px;
    left: 10px;
}  

@media only screen and (min-width: 22em) {
    #title {
        height: 104px;
        top: 10px;
        left: 20px;
    }
}

@media only screen and (min-width: 36em) {
    #title {
        left: 40px;
    }
}


#title img {
    height: 60px;
}


#languageWrapperInner .language_selector_wrapper {
    display: block;
}

#languageWrapperInner ul {
    list-style-type: none;
    padding-left: 0;
    text-indent: 0;
}

#languageWrapperInner > ul {
    list-style-type: none;
    padding-left: 0;
    text-indent: 0;
    display: flex;
    align-items: center;
    gap: 10px;
}

@media only screen and (min-width: 26em) {
    #languageWrapperInner > ul {
        gap: 20px;
    }
}

#languageWrapperInner li > a, #languageWrapperInner li > button {
    display: block;
    width: 30px;
    height: 30px;
    border: 0;
    padding: 0;
    background: rgba(0,0,0,0);
}

#languageWrapperInner .language_selector {
    position: relative;
}

  
    #languageWrapperInner .language_selector > button {
        display: flex;
        align-items: center;
        border: 0;
        padding: 2px;
        background-color: rgba(0,0,0,0);
    }

        #languageWrapperInner .language_selector > button img {
            width: 40px;
        }

    #languageWrapperInner .language_selector .dropdown-menu {
        list-style-type: none;
        padding-left: 0;
        text-indent: 0;
        display: none;
        position: absolute;
        top: 100%;
        left: 0;
        background-color: #fff;
        padding: 10px;
        box-shadow: 0 2px 4px rgba(0,0,0,.2);
        margin-left: -8px;
    }

    #languageWrapperInner .language_selector.active .dropdown-menu {
        display: block;
        background-color: #eaeae7;
    }

    #languageWrapperInner .language_selector .dropdown-menu a {
        display: block;
        margin-bottom: 1em;
        width: 40px;
    }

    #languageWrapperInner .language_selector .dropdown-menu li:last-child a {
        margin-bottom: 0;
    }

#mainMenuWrapper .mainMenu.sticky {
    position: fixed;
    top: 20px;
    left: 50%;
    transform: translateX(-50%);
    z-index: 5;
}

#mainMenuWrapper .mainMenu button {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    width: 36px;
    height: 36px;
}

    #mainMenuWrapper .mainMenu button span {
        margin-left: 1em;
        display: none;
    }

    #mainMenuWrapper .mainMenu button img, #mainMenuWrapper .mainMenu button svg {
        width: 25px;
    }


@media only screen and (min-width: 700px) {
    #mainMenuWrapper .mainMenu button {
        width: auto;
        height: auto;
        padding: 1em 1.75rem;
    }

        #mainMenuWrapper .mainMenu button span {
            display: inline-block;
        }

    #title img {
        height: 90px;
    }
}

@media only screen and (min-width: 1200px) {
    header {
        height: 160px;
    }

    #languageWrapperInner li > a, #languageWrapperInner li > button {
        width: 25px;
        height: 25px;
    }
}
